.skills {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

.skill {
    text-align: center;
}

.skill img {
    width: 90px;
    height: 90px;
    border-radius: 8px;
    margin-bottom: 5px;
    transition: all 0.3s ease;
}

.skill p {
    border-radius: 5px;
    background-color: var(--accent-color);
    color: var(--text-color);
    font-size: 1rem;
    opacity: 0;
    transition: all 0.3s ease;
    font-family: sans-serif;
    line-height: 1.3;
    font-weight: bold;
}

.skill:hover img {
    background-color: var(--accent-color);
    opacity: 1;
    transition: all 0.6s ease;
}

.skill:hover p {
    opacity: 1;
    transition: all 0.6s ease;
}


.project {
    max-width: 60vw;
    display: flex;
    align-items: center;
    gap: 50px;
    padding: 20px;
}

.project.switch {
    flex-direction: row-reverse;
}

.project .picture {
    width: 50%;
}

.project .picture img {
    width: 100%;
    border-radius: 30px;
}

.project .text {
    width: 50%;
    display: flex;
    justify-content: center;
}

.project .text .container {
    width: 60%;
}

.project .text .container h4 {
    display: table;
}

.project .text .container .theme {
    border-radius: 20px;
    background-color: var(--secondary-color);
    padding: 8px 10px;
    color: var(--text-color);
    display: inline-block;
    margin-top: 10px;
    margin-bottom: 15px;
}

.project .text .container a {
    border: 3px solid var(--secondary-color);
    background-color: var(--accent-color);
    border-radius: 22px;
    padding: 10px 12px;
    display: inline-block;
    margin-top: 10px;
    transition: 0.3s all ease;
}

.project .text .container a p {
    color: var(--text-color);
    transition: 0.3s all ease;
}

.project .text .container a:hover {
    border-color: var(--text-color);
    transition: 0.3s all ease;
}

.hero-text {
    width: 50%;
}

.hero-background {
    object-position: 75% 30%;
}

@media (max-width: 1500px) {
    .hero-text {
        width: 90%;
        padding-bottom: 15px;
    }
    .hero-text-position {
        justify-content: flex-end;
    }
    .hero-text p {
        color: var(--primary-color);
    }
    .hero-background {
        object-position: 60% 30%;
    }
    .skill {
        width: 85px;
    }
    .project {
        flex-direction: column;
        max-width: 95vw;
        gap: 10px;
    }
    .project.switch {
        flex-direction: column;
    }
    .project .picture {
        width: 100%;
    }
    .project .text {
        width: 100%;
    }
    .project .text .container {
        width: 100%;
    }
}
@media (max-width: 900px) {
    .skill {
        width: 80px;
    }
}